#include <QCheckBox>
#include <QPushButton>
#include <QLineEdit>
#include <QMap>
#include <QTextEdit>
#include <q3sqlpropertymap.h>
#include <QVBoxLayout>
#include <KComboBox>
#include <kparts/componentfactory.h>
#include <KApplication>
#include <KDebug>
#include <KLineEdit>

#include "kupdateapplet_settings.h"
#include "configwidget.h"

ConfigWidget::ConfigWidget( QWidget* parent )
        : QWidget( parent )
{
    Ui::ConfigWidgetUI::setupUi( this );
    setObjectName( "ConfigWidget" );

    QVBoxLayout *layout = new QVBoxLayout(BackendFrame);
    comboBackendPlugin = new QComboBox(BackendFrame);
    comboBackendPlugin->setObjectName("BackendPlugin");
    kcfg_BackendPlugin = new QLineEdit(BackendFrame);
    kcfg_BackendPlugin->setObjectName("kcfg_BackendPlugin");
    
    layout->addWidget( comboBackendPlugin );
    kcfg_BackendPlugin->hide();

    addBackendPlugins();

    connect( comboBackendPlugin, SIGNAL( activated( int ) ), this, SLOT( slotPluginComboChanged( int ) ) );

}

void ConfigWidget::addBackendPlugins()
{
    // add all available backend plugins to the combobox

    QString backend = UpdaterSettings::self()->backendPlugin();

    KService::List offers = KServiceTypeTrader::self()->query( "kupdateapplet/Plugin" );
    KService::List::ConstIterator iter;

    for ( iter = offers.begin(); iter != offers.end(); ++iter )
    {
        KService::Ptr service = *iter;
        comboBackendPlugin->addItem( service->comment() );

        pluginMap[comboBackendPlugin->count()-1] = service->name() ;


        // select combobox item according to configuration from config file
        if ( service->name() == backend )
            comboBackendPlugin->setCurrentIndex( comboBackendPlugin->count() - 1 );
    }
}


ConfigWidget::~ConfigWidget()
{
}


void ConfigWidget::slotPluginComboChanged( int index )
{
    kDebug() << "combo changed";
    kcfg_BackendPlugin->setText( pluginMap[index] );
}

#include "configwidget.moc"
// vim:tabstop=2:noet:sw=2
