#include "distroupgrades.h"
#include "kupdateapplet_settings.h"
#include "constants.h"


DistroUpgrades::DistroUpgrades()
{
	_upgradesList     = UpdaterSettings::self()->distroUpgradeList();
	_lastNotification = UpdaterSettings::self()->lastDistroNotification();

}


DistroUpgrades::~DistroUpgrades()
{
}


void DistroUpgrades::addUpgrade( QString text )
{
	if ( ! _upgradesList.contains( text ) )
	{
		_upgradesList << text;

		_lastNotification = QDateTime();
		UpdaterSettings::self()->setLastDistroNotification( _lastNotification );
	        UpdaterSettings::self()->setDistroUpgradeList( _upgradesList );
        	UpdaterSettings::self()->writeConfig();

	}


}


bool DistroUpgrades::showNotification()
{
	QDateTime now = QDateTime::currentDateTime();

	kDebug() << "now: " << now << endl;
	kDebug() << "_lastNotification: " << _lastNotification << endl;


	if (  _lastNotification.addDays( DISTROUPGRADENOTIFICATIONINTERVAL ) < now  )
	{
		_lastNotification = now;
		UpdaterSettings::self()->setLastDistroNotification( _lastNotification );
        	UpdaterSettings::self()->writeConfig();
		return true;
	}
	return false;
}


