#include <QLabel>
#include <QLayout>
#include <QPixmap>
#include <QGridLayout>
#include <KIconLoader>
#include <KLocale>

#include "constants.h"
#include "headerwidget.h"

HeaderWidget::HeaderWidget( QWidget *parent )
        : QWidget( parent )
{
    layout = new QGridLayout( this );
    logo = new QLabel( this );
    text = new QLabel( this );
    text->setWordWrap( false );
    pic = new QPixmap( KIconLoader::global()->loadIcon( PROGRAM_ICON, KIconLoader::Panel, KIconLoader::SizeHuge ) );
    text->setText( i18n( "<h2>Available Updates</h2>" ) );

    logo->setPixmap( *pic );

    layout->addWidget( logo, 0, 0 );
    layout->addWidget( text, 0, 1 );
    layout->setColumnStretch( 1, 1 );

    show();
}

void HeaderWidget::setDescription( QString description )
{
    text->setText( description );
}

HeaderWidget::~HeaderWidget()
{
    delete pic;
}

#include "headerwidget.moc"

// vim: tabstop=2:noet:sw=2
