#ifndef _INTERACTIVE_H_
#define _INTERACTIVE_H_

#include "updater.h"

class InteractivePlugin : public Updater
{
  Q_OBJECT
public:

  InteractivePlugin( QObject *parent, const QStringList&);
  virtual ~InteractivePlugin()
  {};

  virtual UpdaterCapabilities capabilities();
  virtual void shutdown();

private slots:

  // Slot which gets called when we need to throw up the add/remove server dialog.
  void slotConfigureUpdater();

  // We need to start an update. 
  void slotStartInstall();

  // We need to check for updates 
  void slotPopulateLists(Q3ListView* patchList, Q3ListView* packageList); 

  // We need to send a update description to the applet.
  void slotResolvableSelected(Q3ListViewItem*, int);

private:

  Q3ListView *_patchList;
  Q3ListView *_packageList;
};

#endif

// vim: ts=2 noet sw=2
