#ifndef NOTIFICATION_H
#define NOTIFICATION_H

#include <QDateTime>

class Logics;
class KNotification;
class KPassivePopup;

class Notification : public QObject
{
	Q_OBJECT

public:

	Notification(Logics* l, QWidget* w);
	~Notification();

public slots:
	void slotProgressChanged();	
	void slotStateChanged();	
	void slotMessage(const QString&);
        void slotDistroUpgradeNotification( const QStringList &text );
	void slotSystemProfile();

private:
	Logics*  _logics;
	QWidget* _widget;
	QDateTime _lastPopup;

private slots:
	void slotPopupActivated(unsigned int);
	void slotStartDistroUpgrade(unsigned int);
	void slotSystemProfileActivated(unsigned int);

signals:
	void showSimpleView();
};

#endif
