#include "pklicensedialog.h"

#include <kdebug.h>
#include <QString>
#include <QGridLayout>
#include <KTextEdit>
#include <QLabel>
#include <QLayout>
#include <KPushButton>
#include <KLocale>


PkLicenseDialog::PkLicenseDialog(QWidget *parent)
{
  Q_UNUSED(parent);

  setModal(true);

  QGridLayout *layout = new QGridLayout(this);

  headline = new QLabel(this);

  license = new QTextEdit(this);
  license->setReadOnly(true);

  KPushButton *cancelButton = new KPushButton(KStandardGuiItem::cancel(), this);
  KPushButton *okButton = new KPushButton(KStandardGuiItem::ok(), this);
  okButton->setText(i18n("Accept"));
  cancelButton->setText(i18n("Decline"));
  layout->addWidget(headline,0,0,1,2);
  layout->addWidget(license,1,0,1,2);
  layout->addWidget(okButton,2,0);
  layout->addWidget(cancelButton,2,1);

  layout->setSpacing(10);
  layout->setMargin(10);

  connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
  connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));


}

void PkLicenseDialog::setText(const QString &caption, const QString& text)
{
  QString licText = text;

  licText.replace(QString("<!-- DT:Rich -->"), QString("")); 

  headline->setText(caption);
  license->setText(licText);
  license->setMinimumSize(600,300);
}



#include "pklicensedialog.moc"
