#include <polkit-dbus/polkit-dbus.h>
#include "polkitclient.h"
#include "polkitthread.h"

using namespace PackageKit;

PolkitClient* PolkitClient::m_instance = NULL;
PolkitClient* PolkitClient::instance()
{
	if(!m_instance)
		m_instance = new PolkitClient(qApp);
	return m_instance;
}

PolkitClient::PolkitClient(QObject *parent) : QObject(parent)
{
}

bool PolkitClient::getAuth(const QString &action)
{
	PolkitThread t(action);
	t.start();
	while (!t.finished())
	{
		t.wait(500);
		qApp->processEvents(); 
	}
	return t.allowed();	
}

#include "polkitclient.moc"

