#ifndef SIMPLEVIEW_H
#define SIMPLEVIEW_H

#include "mainwindow.h"

class KPushButton;
class MainWindow;
class QTextBrowser;
class QCheckBox;
class QLabel;
class QShowEvent;
class KMainWindow;
class QProgressBar;
class Logics;

class SimpleView : public KMainWindow
{
	Q_OBJECT
	public:
		SimpleView( Logics *l);
	private:

		// GUI elements
		QLabel*        title;
		QLabel*        progressText;
		QLabel*        additionalText;
		QLabel*        headline;
		QCheckBox*     norestart;
		QCheckBox*     recommended;
		KPushButton*   install;
		KPushButton*   forceinstall;
		KPushButton*   forcecheck;
		KPushButton*   installDrivers;
		KPushButton*   ignoreDrivers;
		KPushButton*   details;
		KPushButton*   ok;
		KPushButton*   buttonConfigUpdateRepo;
		KPushButton*   buttonManualInstallation;
		QProgressBar* bar;
		QTextBrowser* textBrowser;

		// business logic
		Logics *logics;
	
	public slots:
		void slotStateChanged();
		void slotProgressChanged();
		void slotSelectionChanged();

	private slots:
		bool queryClose();
		void slotDetailsButtonClicked();
		void slotStartInstall();
		void slotStartCheckForce();
		void slotStartInstallForce();
		void updateSelection();
		void slotConfigUpdateRepoClicked();
		void slotManualInstallionClicked();
		void slotInstallDrivers();
		void slotIgnoreDrivers();

	signals:
		void showDetailView();
		void checkAgain();

	protected:
		void showEvent(QShowEvent*);

};
#endif
