#ifndef _TRAY_ICON_H_
#define _TRAY_ICON_H_

#include <QMouseEvent>
#include <ksystemtrayicon.h>
#include "kupdateapplet_export.h"

class Logics;
class KAction;

class KUPDATEAPPLET_EXPORT TrayIcon : public KSystemTrayIcon
{
Q_OBJECT

public:
	TrayIcon( Logics *l=0 );
	~TrayIcon();

private slots:
	void trayActivated(QSystemTrayIcon::ActivationReason);
	void slotConfigurePlugin();
	void slotConfigureApplet();
	void slotCheck();
        void slotStartDistroUpgrade();

public slots:
        void slotStateChanged();
        void slotDistroUpgradeAvailable( bool show );



private:

	// our business logic
	Logics* logics;

	// actions in our tray menu
	KAction *_edit_sources_action;
	KAction *_configure_applet_action;
	KAction *_check_updates_action;
        KAction *_start_distroupgrade_action;


	void moveEvent(QMoveEvent* event);

signals:
	void trayClicked();

};




#endif

// vim:tabstop=2:noet:sw=2
