#ifndef _UPDATER_APPLICATION_H_
#define _UPDATER_APPLICATION_H_

#include <kuniqueapplication.h>
#include <kparts/componentfactory.h>


class MainWindow;
class Updater;
class SimpleView;
class Logics;
class TrayIcon;
class Notification;

/**
	This class represents the actual app, it inits the applet, loads the mainWindow
	and connects the GUI with the currently selected backend. 
*/

class UpdaterApplication : public KUniqueApplication {

		Q_OBJECT

	public:

		UpdaterApplication();
		~UpdaterApplication();
    void setupUpdater( Updater *updater );

	private:

		MainWindow*	_main;
		Updater*		_updater;
		SimpleView*	_simple;
		Logics*			_logics;
		TrayIcon*		_tray;
		Notification* _notify;
	
    bool loadPlugin(KService::Ptr service);
		KService::Ptr selectPlugin(const QString& backendName);
		void connectToPlugin();


  signals:
    void shutdown();
    void showConfig();
		void pluginError(const QString &desc);

	public slots:
		void slotConfigChanged();

	private slots:
		void slotTrayClicked();

};

#endif

