
#include "updatererror.h"

UpdaterError::UpdaterError( const QString &message )
    : _type(ErrorUnknown)
    , _message(message)
{}

UpdaterError::UpdaterError( ErrorType errortype )
    : _type(errortype)
{}


UpdaterError::UpdaterError( ErrorType errortype,
                            const QString &message )
    : _type(errortype)
    , _message(message)
{}

UpdaterError::~UpdaterError()
{
}


void UpdaterError::setErrorDetails( const QString &details )
{ _details = details; }

bool UpdaterError::hasDetails() const
{ return !_details.isEmpty(); }

QString UpdaterError::errorDetails() const
{ return _details; }
    
QString UpdaterError::errorMessage() const
{
    if (!_message.isEmpty())
        return _message;
    // FIXME change for default error messages here
    return _message;
}

