#include "licensedialog.h"

#include <kdebug.h>
#include <qstring.h>
#include <QGridLayout>
#include <ktextedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <kpushbutton.h>
#include <klocale.h>


LicenseDialog::LicenseDialog(QWidget *parent)
{
  Q_UNUSED(parent);

  setModal(true);
  QGridLayout *layout = new QGridLayout(this);

  headline = new QLabel(this);

  license = new KTextEdit(this);
  license->setReadOnly(true);

  KPushButton *cancelButton = new KPushButton(KStandardGuiItem::cancel(), this);
  KPushButton *okButton = new KPushButton(KStandardGuiItem::ok(), this);
  okButton->setText(i18n("Accept"));
  cancelButton->setText(i18n("Decline"));

  layout->addWidget(headline,0,0,0,1);
  layout->addWidget(license,1,1,1,1);
  layout->addWidget(okButton,2,0);
  layout->addWidget(cancelButton,2,1);

  layout->setSpacing(10);
  layout->setMargin(10);

  connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
  connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));


}

void LicenseDialog::setText(const QString &caption, const QString& text)
{
  QString licText = text;
  kDebug() << licText;
  headline->setText(caption);
  licText.replace(QString("<!-- DT:Rich -->"), QString(""));
  license->setText(licText);
  license->setMinimumSize(600,300);
}



#include "licensedialog.moc"
